/*******************************************************************************
*    DOGM-Library 1.0.                                                         *
*    Copyright (C) 2010-averyfarwaydate Luca Bertoncello                       *
*    Hartigstrasse, 12 - 01127 Dresden Deutschland                             *
*    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       *
*    http://www.lucabert.de/  http://www.lucabert.com/                         *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <util/delay.h>
#include "inc/dogm.h"

int main(void)
{
  uint8_t c = 0, d = 0;
  char s[20];

  lcdInit(POWER3V3, 11, 0, 0);

  lcdBacklightOn();
  lcdGotoXY(2, 0);
  lcdPuts("DOGM-Library\n");
  lcdPuts("V.: ");
  lcdPuts(DOGMVERSION);

  while(1)
  {
    lcdGotoXY(2, 2);
    sprintf(s, "Contrast %02d", c);
    lcdPuts(s);
    lcdContrast(c);
    if(d == 0)
    {
      c++;
      if(c == 15)
        d = 1;
    }
    else
    {
      c--;
      if(c == 0)
        d = 0;
    }
    _delay_ms(500);
  }

  return 0;
}
